
PrimitivePatchInterpolation<polyPatch> inter(solidMesh);

//Info << fluidMesh.meshPoints() << endl;
//Info << solidMesh.meshPoints() << endl;
// Info << inter.meshPoints();
// Info << "\nMaximum Displacement: " << max(mag(inter.faceToPointInterpolate(displace))) << endl;

if(solidMesh.meshPoints().size()!=fluidMesh.meshPoints().size()) {
  FatalErrorIn("Coupled Solver ") << "Sizes do not match" << exit(FatalError);
 }	

labelList pExchange(fluidMesh.meshPoints().size());
List<vector> oldPoints(fluidMesh.meshPoints().size());
List<vector> dispVals(fluidMesh.meshPoints().size());

{
  const scalar tolerance=1e-10;

  //Info << fluidMesh.faceCentres() << endl;
  //Info << solidMesh.faceCentres() << endl;
  forAll(fluidMesh.meshPoints(),fI) {
    const vector &fV=mesh1.points()[fluidMesh.meshPoints()[fI]];
    scalar minDist=1e20;
    label minInd=-1;

    forAll(solidMesh.meshPoints(),sI) {
      const vector &sV=mesh2.points()[solidMesh.meshPoints()[sI]];
      scalar dist=mag(fV-sV);

      if(dist<minDist) {
	minDist=dist;
	minInd=sI;
      }
    }
    if(minDist>tolerance) {
      FatalErrorIn("Coupled Solver ") << "Points do not match" << exit(FatalError);
    }

    pExchange[fI]=minInd;
    oldPoints[fI]=fV;
  }
}		
			
// Info << oldPoints << endl;
		       
autoPtr<Foam::motionSolver> motionPtr = motionSolver::New(mesh1);

tetPointVectorField::GeometricBoundaryField &motionU=
  const_cast<tetPointVectorField&>(mesh1.objectRegistry::lookupObject<tetPointVectorField>("motionU")).boundaryField();

// TODO
// if(typeid(motionU[fluidSideI])!=typeid(fixedMotionPatch)) {
//       FatalErrorIn("Coupled Solver ") << "Fluid side not movable" << exit(FatalError);
//  }

vectorField &patchU=refCast<vectorField>(motionU[fluidSideI]);

tractionDisplacementFvPatchVectorField& displace= 
 refCast<tractionDisplacementFvPatchVectorField>(Udisp.boundaryField()[solidSideI]);
